Bug 1568471 - Service Catalog Item Subtype not rendered in UI
Summary: Service Catalog Item Subtype not rendered in UI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Greg Piatigorski
QA Contact: Shveta
URL:
Whiteboard:
Depends On:
Blocks: 1570989 1570990
TreeView+ depends on / blocked
 
Reported: 2018-04-17 15:00 UTC by Ryan Spagnola
Modified: 2019-02-11 13:59 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1570989 1570990 (view as bug list)
Environment:
Last Closed: 2019-02-11 13:59:54 UTC
Category: Bug
Cloudforms Team: CFME Core


Attachments (Terms of Use)

Description Ryan Spagnola 2018-04-17 15:00:47 UTC
Description of problem:
When viewing a Service Catalog Item the Subtype is sometimes not rendered. It is present in the export and when hitting edit. 

Version-Release number of selected component (if applicable):
5.8.3.4

How reproducible:
sometimes

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Support wasn't able to reproduce

Comment 6 CFME Bot 2018-04-23 15:08:15 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/367af3f3aa86da77c45c88c51637bda78e9dce96
commit 367af3f3aa86da77c45c88c51637bda78e9dce96
Author:     Greg Piatigorski <gpiatigo@gmail.com>
AuthorDate: Thu Apr 19 18:38:11 2018 -0400
Commit:     Greg Piatigorski <gpiatigo@gmail.com>
CommitDate: Thu Apr 19 18:38:11 2018 -0400

    Fixes Service Catalog Item Custom subtype display

    https://bugzilla.redhat.com/show_bug.cgi?id=1568471

 app/views/catalog/_sandt_tree_show.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 9 Shveta 2018-07-17 20:17:08 UTC
Fixed in 5.10.0.3.20180705151325_ce4d2b5


Note You need to log in before you can comment on or make changes to this bug.